which ipod works with an audi mmi

My ipod version 5 wont work with my new car. Apparently it is not compatible. Audi have been no help, so wondering if someone else can help please

Follow this Question

1 Answer from the Community

  • Having same problem with my older iPod and my 2014 Audi A4.

    Was this useful? Answer 1

    0 of 0 people found this useful

Similar Questions

See more Similar Questions